pure-ftpwho(8)

NAME

pure-ftpwho - Report current FTP sessions

SYNTAX

pure-ftpwho [-c] [-h] [-H] [-n] [-p] [-s] [-v] [-w] [-W] [-x]

DESCRIPTION

pure-ftpwho shows current Pure-FTPd client sessions. Only the system administrator may run this. Output can be text (default), HTML, XML data and parser-optimized. The server has to be compiled with --with-ftpwho to support this command.

OPTIONS

-c  the program is called via a web server (CGI interface) . Output is a full HTML page with the initial content-type header. This option is automatically enabled if an environment variable called GATEWAY_INTERFACE is found. This is the default if you can the program from a CGI-enabled web server.

-h  Output help information and exit.

-H  Don't resolve host names, and only show IP addresses (faster).

-n  A synonym for -H.

-p  Output Mac OSX / GNUStep plist data.

-s  Output only one line per client, with only numeric data, delimited by a | character. It's not very human-readable, but it's designed for easy parsing by shell scripts (cut/sed) . '|' characters in user names or file names are quoted (\|) .

-v  Output an ASCII table (just like the default mode), with more info. The verbose output includes the local IP, the local port, the total size of transferred files and the current number of transferred bytes.

-w  Output a complete HTML page (web mode).

-W  Output an HTML page with no header and no footer. This is an embedded mode, suitable for inline calls from CGI, SSI or PHP scripts.

-x  Output well-formed XML data for post-processing.

FILES

/var/run/pure-ftpd/ Scoreboard directory. Should always owned by root and on a lockable filesystem.

ENVIRONMENT VARIABLES

GATEWAY_INTERFACE
    If found, automatically run in CGI mode and output HTML data.

AUTHORS

Frank DENIS <j at pureftpd dot org>

SEE ALSO
ftp(1), pure-ftpd(8) pure-ftpwho(8) pure-mrtginfo(8) pure-uploadscript(8) pure-statsdecode(8) pure-pw(8) pure-quotacheck(8) pure-authd(8) RFC 959, RFC 2389, RFC 2228 and RFC 2428.